%global _docdir_fmt %{name}

Name:           python-waitress
Version:        2.0.0
Release:        5
Summary:        A WSGI server for Python 2 and 3
License:        ZPLv2.1
URL:            https://github.com/Pylons/waitress
Source0:        https://github.com/Pylons/waitress/archive/v%{version}/waitress-%{version}.tar.gz
Patch0:		cve-2022-24761.diff
Patch1:		CVE-2024-49768.patch
Patch2:		CVE-2024-49769.patch
BuildArch:      noarch

%description
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.7+ and Python 3.5+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%package -n python3-waitress
%{?python_provide:%python_provide python3-waitress}
Summary:        A WSGI server for Python 2 and 3
BuildRequires:  python3-devel, python3-setuptools, python3-coverage

%description -n python3-waitress
Waitress is meant to be a production-quality pure-Python WSGI server
with very acceptable performance. It has no dependencies except ones
which live in the Python standard library. It runs on CPython on Unix
and Windows under Python 2.7+ and Python 3.5+. It is also known to run
on PyPy 1.6.0+ on UNIX. It supports HTTP/1.0 and HTTP/1.1.

%prep
%autosetup -n waitress-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-waitress
%license COPYRIGHT.txt LICENSE.txt
%doc README.rst CHANGES.txt
%{_bindir}/waitress-serve
%{python3_sitelib}/*

%changelog
* Wed Oct 30 2024 liningjie <liningjie@xfusion.com> - 2.0.0-5
- Fix CVE-2024-49769

* Tue Oct 29 2024 liningjie <liningjie@xfusion.com> - 2.0.0-4
- Fix CVE-2024-49768

* Mon Apr 18 2022 Shinwell_Hu <micromotive@qq.com> - 2.0.0-3
- Backport from 2.1.1 to fix CVE-2022-24761

* Tue Jan 11 2022 wulei <wulei80@huawei.com> - 2.0.0-2
- Remove nose dependency

* Thu Jul 08 2021 suoxiaocong <suoxiaocong@kylinos.com> - 2.0.0-1
- update package to 2.0.0

* Sat Aug 22 2020 tianwei <tianwei12@huawei.com> - 1.4.4-2
- delete python2

* Thu Jul 16 2020 jixinjie <jixinjie@huawei.com> - 1.4.4-1
- update package to 1.4.4

* Thu Feb 13 2020 Ruijun Ge <geruijun@huawei.com> - 1.1.0-5
- init package
